Introduction

Legal information

This help can NOT be partially copied, diffused or published without express authorisation of its author. That means that MP3Guest.com is the only detentor of the right to diffuse this package. If you want to make it accessible from your web site, please create a link on XMPEG home page.

Link from your homepage : http://www.xmpeg.net

Welcome to XMPEG help!

This help is not a guide. It will explain you basic and advanced features offered by the XMPEG converter. This help has been designed for XMPEG 5.0 Release Candidate 2.

What is XMPEG?

XMPEG is a video converter. It allows you to import MPEG streams, decode it, and process your video and audio with basic functionnality like resizing, aspect ratio adaptation, dynamic audio normalisation, and so one.... During conversion, XMPEG will be an Adobe Premiere Frame Server, and is able to emulate its behaviour. You can use any Adobe Premiere compiler Plugin (cm-xxxxxx.prm) by copying them into the XMPEG main directory. If you want to have the possibility to use original Adobe Premiere plugins such as the Main Concept Encoder, you have to obtain a correct registration number, of course. No hack will be done in the other way. The most well known Adobe Premiere encoders are AVI Writer, bbMPEG (in XMPEG package, free plugins), AVISynth, Video Server, Ligos LSX Encoder, Panasonic encoder, TMPEG, Cinemacraft Encoder.

XMPEG is tuned to offer you the maximum output quality. More than that, XMPEG is the fastest free encoding tool. Most hardware web sites (tomshardware.com, hothardware.com,...) use it as speed reference for their benchmarks.
XMPEG uses the lastest technologies available to speed up the decoding and image processing. It supports the lastest micro operations from AMD Micro Devices and Intel Corporation processors. It supports also multi processors systems and takes advantage of the Intel Hyper Threading Technology.
XMPEG is a supported software. As long as you will need it, new versions will come out regulary with improvements and new features.

How to help us?

Publication of XMPEG implies solid servers, and this have a significant cost. You can do a donation on the XMPEG home page (http://www.xmpeg.net).

Benefits of a donation :

  1. Your E-Mail will be registered on a special mailling list, and you will recieve regulary the lastest builds (Betatest not supported, of course...).
  2. A special E-Mail adress (Frensch, English) for direct support.
  3. The pleasure to contribute, and see this software completely free. Thank you!

Special thanks :

  • Ecole Centrale d'Electronique (ECE), my engineering school.

53, rue de Grenelle
75007 Paris
FRANCE
http://www.ece.fr

  • Pascal MILLIEZ, MP3Guest.com webmaster.
  • Alexander Klimovitsky, for its support.
  • Aaron Coday, especially for his good ideas and english translation.
  • Frank kyupers, for his help.
  • Alberto Vigata, Avery lee, Jean Luc Pons, for their code, very good as basis.
  • All guys which have done language files and iDCTs plugins for XMPEG.
  • The coders of all free Adobe Premiere Plugin. (which allow you to encode, don't forget it!)
  • And more generally, all the people who gives me help, support me in programming effort.
  • The Free Software community in general.

Copyright (c) 2003 Eric CHAUVET, All Rights Reserved


Introduction

What's new in this version :

  • Help files ;-)
    Welcome to new users in XMPEG community! Please have a look on XMPEG homepage, Forums or Support for any help.
  • New resizers.
     New Bilinear and Bicubic resizers. Even if they are not optimized with processor µ-operations, these new resizer are faster than any old ones when they subsample video! This is an architectural optimization.
    The new HQ bicubic resizer use Mitchell and Netravalli curves to compute output pixels. With b = 0, c = 0.75 coefficients, this filter gives exactly the same output as Adobe Photoshop and VirtualDub Bicubic resizer.
    All other all resizer has been removed from XMPEG. (Click here for details) Given the speed of new filters,HQ Bicubic is the default one.
  • Better output management (ouf!)
    XMPEG now support random access. Ouput plugin may ask every number of frames, whatever their number. The number of Pass is indicated in Encoder Window (Click here for details). The progression/time bug is corrected.
  • Corrected bugs
    • Ouput window bugs.
    • Uncolored top line bug when aspect ratio is adapted for ouput.
    • Code efficiency improvements.
  • Improved quality
    If you find a tool which outputs better quality frame than XMPEG, please inform me ;-)


Requirements

Minimum configuration :

  • MMX processor based system.
  • 64MB RAM.
  • Windows 2000. (Windows 98, 98SE, Me should work, but are no longer supported.)
  • ASPI installed for Windows 98 (www.adaptec.com)
  • Sufficent space on your hard drive to store your videos.

Recommended configuration :

  • Intel P4 Hyper Threading processor.
  • ATI graphic card (hardware support)
  • 256 MB RAM (RAMBUS or DDR 400).
  • 7200rpm Hard Drive.
  • ASPI installed for windows 98 (www.adaptec.com)
  • Windows XP or Windows 2000 SP3.
What makes XMPEG faster?
XMPEG use the lastest technologies offered by processor and software compagny. Here is the list of the main improvements used intensively by XMPEG:
  • Hyper Threading Technology or Bi-Processor based systems :
     This technology offers 10 to 30% speed up to XMPEG. XMPEG is built on a multi threaded architecture, and takes advantage from Multi-Processor systems, and Hyper Threading enabled systems. This technology allows better use of your computer during a conversion. You can show your favorite videos, play your MP3, work, backup your datas, launch a viruses scan without affecting XMPEG speed.
  • SSE2/3D Now!
    These micro operation are the most speed effective technology. Prefer SSE2 enabled processors for optimal performance. XMPEG takes advantage of the processors below :
    • Intel Pentium 4/3/2/1(MMX) and P4 Hyper Threading.
    • AMD K6-2/3/Duron/Athlon/Athlon XP processors.
  • RAM Bandwidth :
    The faster your RAM is, the faster XMPEG will be, with a high linear coeficient of proportionality.
  • Hard Drive/DVD drive/CD-ROM performance.
     Gigabytes of datas are handed by XMPEG. Make sure that your input device follows XMPEG requirements. If you have a 2x DVD Drive, you are sure to be slower than 2x encoding speed... Of course.
  • iDCT algorithm
    You can test here your iDCT to use the fastest on you hardware.


First start

First start requirements

What are the requirements for your first use of XMPEG?

XMPEG will automatically adjust its parameters to favor its speed to your computer. The main performance impact comes from inverse Discret Cosine Transform (iDCT) plugins. If an iDCT has not been tested, XMPEG will ask you to test them during the start step. A message will blink :

If you want to be sure to use the best configuration for your computer, please click on this window. This will launch the automatic testing step. More informations about iDCT Manager here .
If an algorithm seems to have probems with XMPEG, it will be automaticaly removed from the iDCT list. Developpers, please be sure to publish iDCT plugins which pass this test.

If you have not the time to click on this window during the first start, simply restart XMPEG, and the same message will let you click on its window.

XMPEG settings for the first start.

XMPEG will start with default settings which will favor the best Speed/Quality ratio. You will have the possibility to change them by choosing "Options" in the main menu.


Main Window

Main Menu overview

Welcome to XMPEG! Here is the description of the main menu of XMPEG. Right click to obtain the main menu. Basically, right click to perform any action on XMPEG windows. XMPEG is a contextual menu based application to keep its graphical interface visibility.

Open

It allows you to open any file compatible with input plugins copied in XMPEG main directory. Basically, it opens any DVD *.IFO and *.VOB, and all MPEG compliant streams.

Open DVD root

Opens the longest title of your DVD root. If there is a DVD on your drive, the longuest title will be automaticaly opened. If it is the first time you open a DVD root or no drive is in the DVD, you have to select the VIDEO_TS directory of your DVD, as illustrated below. It allows you to open correctly a backup of your DVD on your hard drive.

Recent file menu

Recent file menu stores your last 6 files sucessfully opened.

Wizard

Shows XMPEG wizard, the best way to configure quickly XMPEG. Go here for more info.

Start conversion

Starts the conversion. Be sure to have configured your output plugin before! Otherwise, the plugin will show you an error message, and invite you to set it. Go here for more information about encoder window.

Load profile

Load previously saved XMPEG profile file. These files are stored in Profile directory. Profiles remember all XMPEG option settings.Go here to learn how to use profiles, and the way they are stored.

Options

Opens XMPEG option window. Go here to learn how to use profiles, and the way they are stored.

Plugin menu

Allows you to choose your Adobe Premiere output plugin. To view an external output plugin, simply copies it on XMPEG main directory.

Set Plugin options

Allows you to configure the ouput plugin by calling its configuration window. If your plugin does not provide any configuration window, this menu stays grayed. Go here to know how to configure AVIWriter plugin to create your DivX videos.

Extract Audio to

This menu contains :

Direct Stream copy :

The current audio stream will be demuxed without any changes, and stored with the file name specified in file options .

WAV file :

The current audio stream will be decoded with current audio options and saved as WAV file stored with the file name specified in file options .

MP3 file :

The current audio stream will be decoded with current audio options and saved as MP3 file using lastest MP3 Lame Encoder with the file name specified in file options. (Variable bitrate encoder, very good quality at high bitrate). More information here.

Advanced menu

Informations:

This menu will show an advanced spying information window. Browse it by yourself if you need advanced information about your hardware; DirectDraw state, profile content, output and input plugin, language files installed, or current video decoder state... If you know what it means, you don't need me help anymore to understand its content. Feel free to use it to report bugs. Originally this window was implemented for debuging only.

Language menu:

Choose here your preferred language.

Clean up menu:

Restart XMPEG. Clean up can be usefull to delete registry setting in case of crashes or invalid profile files. It also allow you to reset plugins configuration.

Go to:

For any update or informations, goes here. If you have done a donation, you will automatically receive the lastest information about XMPEG and lastest builds. You don't need anymore to use this menu, and remember that you have privileged access to E-Mail support, directly with the coder (me ;-)

About

About this software, and language file credits. Use the button "make a donation" to help us to pay internet hosting. Future of XMPEG is in our hands.

Exit

Grayed when you can't exit properly, especially during encoding. If XMPEG blocks, use the right clic on the task bar to shut down XMPEG... Basically, doing that will make XMPEG to crash, and free processor and memory resources. See below :

For advanced users : Just kill Xmpeg.exe process in task manager by pushing Ctrl+Alt+Delete simultaneously. Sorry...


Wizard

Using the wizard.

I don't really know how I can help you more... Just read the comments for each options in the wizard. If you have any comments, go here . (Even if you're an advanced user, you can use it to quickly configure settings in 3 clics, and then adjust them with video tools) Enjoy! ;-)


Player : Basic controls

Player overview

The player allow you to play your favourite DVD, and MPEG streams without help of a standard commercial DVD player. Here is the description of its common controls :

1. Seeking bar

Seek a position in the current stream. The real picture is showed when you release the mouse button. Else, it will show the most accessible frame.

2. Video tools

Shows the video tools window. This dialog allows you to shrink, compensate aspect ratio, crop, letterbox, and correct luminance of your output video.

3. Audio tools

Shows the audio tools window. Allow you to set dynamic and static audio range compression.

5. Go to start

6. Play!

7. Fast rewind

8. Fast forward

9. Go to end

10. Past frame

11. Fine seeking

12. Next frame


Player : Scene editor

Scene editor overview

The scene editor allows you to choose the start/end of each scenes, its the title/chapter in case of DVD streams, audio stream, and subtitle stream :
In the XMPEG 5.0 RC2 version, each scene is stored in different files! XMPEG is not a full video editing software for instance, but XMPEG 5.1 will allow you to add fade effects between scenes, and store them in a unique file. A project manager will be built in the same way to store you scenes. A batch conversion manager will be designed to launch multiple project during the night by example.

Changing Start/End of Scene

Use the little orange slides to choose quickly the Start/End of a scene. You can use also the contextual menu of the player window as below :

Choosing Title/Chapter/Audio/Subtitle

Just use the contextual menu of each scene to choose them. Scenes may have different audio/subtitles, of course.

Stream properties

A window will appear with all usefull information of the current stream. Advanced users only.

Using multiple source files

Each scene may come from different files. Just use the contextual menu of a scene, "Insert Scene here", and choose the source of the video. In this case, be care of the video frame rate which MUST be fixed (for 5.1 version) to avoid frame rate conflicts. In the same way, output video size and audio sampling frequency must be identical. To do it, force frame rate, audio sampling frequency in XMPEG options, and video size by unchecking "Do not resize". Then all essential parameters will be fixed. This will be automatically done in the 5.1 version.


Video tools

Player : Video tools

Video tools overview

Video tools window provide a friendly interface to resize/correct aspect ratio/crop/letterbox/correct luminance of your output frames. (Advanced users : The internal process follows the number order. More information here):

The main menu is accessible only on the border of this window, because mouse operations are required for editing.

1. Resize ouput check

If you uncheck this button, all scenes will keep their original source width and height, without any processing. This maximizes the conversion process speed. All controls which influence resizer will be disabled if unchecked.

2 and 3. Input Frame resize

Directly after being deinterlaced (See Options->Video), the frame enters in resizing filter. Use these buttons to change the output Width/Height.

4. Resizing algorithms

You can choose here the resizing algorithm. These algorithms are tuned for maximum speed. HQ Bicubic and Bilinear have a comparable speed. Keep HQ Bicubic as default.

Bilinear : (Not in RC2 builds 1,2,3,4,5)

Good quality. Simple linear interpolation for width and height.

Output = ( P1*(1-dX) + P2*dX ) * (1-dY) + ( P3*(1-dX) + P4*dX ) * dY

HQ Bicubic :

Best quality. Based on Mitchell and Netravali curves, with coefficient b = 0, c = 0.75, it reproduces the same quality as Photoshop resizer. One of the best (maybe the best) algorithm for picture processing ever used. (Advanced users : The coefficient will have the possibility to be changed in 5.1 version with a graphic to show the pixel weigth/distance. An help graph will be provided, but I've not the time to explain all now)

5. Output aspect ratio

Here, you choose your output aspect ratio. This is very important to set the same setting in your MPEG/VCD/SVCD/DVD plugin to have a compliant stream. For AVIWriter plugin, just choose DivX aspect ratio. If you hesitate, just right click on the borders of this window and choose "Plugin options" to view the different choices proposed by your plugin.

6. Crop

Your output picture will be rendered in the rectangle you have defined with your mouse. Use set button to make the selection enabled, then put your mouse on highlighted dot lines to move them

7. Letterbox

Your output picture will be filled with black outbound the borders you have defined with your mouse. Use set button to make the selection enabled, then put your mouse on red highlighted dot lines to move them.

8. Auto crop

AutoCrop will adjust your ouput rectangle by removing back areas. Nevertheless, if you want to have the required results, choose a image which has sufficent luminance. If this is not the case, AutoCrop will fail and select the original picture bounds.

9. Luminance

You can correct the luminance of your film if it seems to be too dark.

10. Reset settings

This will reset all settings to original input frame settings : no resizing, no cropping, no letterboxing. Maximum speed.


Audio tools

Player : Audio tools

Audio tools overview

Audio tools window provide you the possibility to normalize, statically or dynamically, the level of sound level. These settings are used for WAV and MP3 export.

1. Dynamic sound compression

If you check this option, the sound will be dynamically normalized with the coefficient set by the slider in dB. This will provide a constant sound level for your ouput stream; highly recommended for film that is supposed to be viewed on a computer with two speakers. Recommended for DiVX (MPEG4).

2. Static Normalisation

Enter, in %, the value of static normalisation. If you choose 200%, the sound will be 2X higher than the original. You can scan the whole stream with "Start" button, and you will be sure to normalize to sound at its highest value. Recommended for DVD, SVCD output.


Video options

Option window

option window overview

Options window allows you to change the decoders settings, and low level processing methods. More generally, it sets all advanced options of your compilation. All your options will be stored on the profile file, manageable with the lower buttons :

Save

Will ask you the name of the profile file in which current settings will be stored

Delete

Delete the current profile.

Cancel

Ignore your lastest changes and close this window without saving.

OK

Save new settings in the current profile.


Video options

Player : Video options

Video options overview

Video options allow you to change the video decoder behaviour, and the output frame format (progressive, interlaced, RGB,...).

Output format

Let Xmpeg choose this format by checking auto check box. It will look at the plugin compatibility, and choose the one which consumes the least CPU time, and requires the least color format transformations (better quality). All the formats unsupported by the current selected output plugin will be grayed.

RGB

32Bits : 0-255 0-255 0-255 0 - This format is suported by all output plugin, and it used by Premiere and it's filters. Nevertheless, if your plugin is a MPEG1/2/4 encoder, XMPEG will do YUV 4:2:0 -> YUV 4:2:2 -> YUV 4:4:4 -> RGB32, and your plugin will do exactly the inverse : RGB32 -> YUV 4:4:4 -> YUV 4:2:2 -> YUV 4:2:0 because YUV 4:2:0 is the native color space of MPEG!. This shows you the waste of CPU time and RAM bandwidth! (XMPEG does not support RGB 24Bits because 75% of its pixels are not aligned).

YUY2

16Bits : Y1 U Y2 V - This YUV packed format has been implemented in XMPEG because it is the most compatible format for Video for Windows codecs (VFW). The format can be handeled by AVIWriter (free), Cinemacraft Encoder (MPEG), and Video Server (free). This format is the packed version of YUV 4:2:2. If you have the choice in your MPEG encoder plugin, ALWAYS use YUV 4:2:0. (Color information are defined two time less compared to RGB. YUV formats are designed to match perception of human eyes).

YV12 (Recommanded)

12Bits : YYYY, U, V - This YUV planar format is the native MPEG YUV 4:2:0, the most used of all. YUV 4:2:2 is rarely used now. All XMPEG filters are built around it for minimal information processing. Using this format is strongly recommended, because no format transformation is done, and minimum RAM bandwidth is used.
More than that, this format is the input format of MPEG1/2/4. If the encoder support YV12 as input (exactly the same as YUV 4:2:0), no color space transformation will be processed : Maximum quality and speed.

Frame rate (FPS)

Correct this setting if it seems to be wrong. (If you are doing multiple file encoding in the next version 5.1, this setting will be fixed with the first scene original frame rate)

iDCT options

Let XMPEG use the fastest algorithm for your system by pushing AutoTest button in Manager. If already done during the start, no special action has to be done for this setting. The number of stars highlighted shows the speed/quality ratio of the current selected iDCT. In the screenshot before, I have a simple P4 2.2GHz which supports SSE2 µ-ops.
If you want to test and manage your iDCT by yourself, go here.
Advanced users, developers : You can have a quick report by moving your mouse on iDCT selector when "Use the fastest" is not checked to view the speed result as below :

The results can be discussed because I've built the rate algorithm regarding actual iDCT. Actually, the quality factor is one of the most important in rate algorithm. I hope that this report doesn't need any help to be understand.

Video structure

These settings allow you to correct, or compensate interlacing information. XMPEG allows correction by different ways :

Ignore field order

This option disables the field order management in XMEG. This allows sometimes to correct bad field order. (American pie)

Reconstruct progressive video

When videos are encoded as 23.9 or 24 frame per second, some fields are repeated to emulate 25 and 29.97 frame rates. This option allow you to compensate this effect, and remove the repeated fields. The result is a progressive video instead of interleaved.

Deinterlace

This allow you to deinterlace your video. Use this setting ONLY if line artifacts appears on your video. Else, your output video quality will be affected.

    • Swap field : This will invert even and odd field. Very rare error on encoded streams. Check if this setting correct the interlacing effect.
    • Shift even/odd : This will offset even or odd field by one frame. Very rare error on encoded streams. Check if this setting correct the interlacing effect.
    • Motion detection : (Recommanded) This will compare motion by computing the pixel difference between 2 frames. If the motion thresold is met (You set it with the slider), pixels are blended to avoid "line artifacts". Sensibility of 8 to 3 is recommended. When the threshold is less , more pixles will be interpolated.


First start

inverse Discrete Cosinus Transform manager

iDCT manager window overview

This window allows you to manage your iDCTs. You can test speed and quality of each iDCT using iDCT selector, and test buttons (developers, for further information, go here) :

1. iDCT selector

Choose here the iDCT you wish to test.

2. Speed test

Push the test button to test speed of the current iDCT.

3. Quality test

Push the test button to check the iDCT IEEE1180 compliance. If this is not a losseless iDCT, the quality rate will show the percentage of iDCT compliance between the lower limit of compliance, and the reference iDCT. It is recommended to use non compliant iDCT, it can result in artifact on you video.

4. Auto test button

Will test all untested iDCTs.

5. Cancel

Stop iDCT tests.


Audio options

Player : Audio options

Audio options overview

Audio options allow you to disable/enable audio output processing. XMPEG support only 16bits at 44100/48000Hz stereo ouput. Most plugins support audio subsampling below 44100 or upsampling beyond 48000Hz

Processing mode

This setting allow you to choose the behaviour of XMPEG with audio stream :

Direct Stream copy

During the conversion process, the audio stream will be exported in its original format (during the first pass), with the file name specified in the file option tab.

Process audio

Send audio throught Adobe Premiere interface with the settings specified in "Ouput Sample rate" and normalization (Audio tools) settings.

Don't process audio

Audio is not decoded, and is not processed.

Ouput Sample rate

This allow you to choose the output sample rate. 44100 Hz for Divx and SVCD, and 48000Hz for DVD. If you check "Same as input" no processing is done. High Quality resampling use the high quality Bessel algorithm to resample audio frames.
High quality resampling is recommended for high quality input streams. If you notice encoding artifacts in your input stream, uncheck this setting. It will bypass very high frequency, and limit artifact perception (But not all).
Advanced users : Please send me your results about the last comments.


File options

Player : File options

File options overview

File option tab allows you to choose the output file name.
Advanced : Don't choose a file if the folder is not created. XMPEG doesn't support folder creation for instance. This will be corrected in 5.1 version. Just choose a file in an existing directory.


General options

Player : General options

General options overview

General tab allows you to choose options related to input mism, and Adobe Premiere output settings.

Miscellaneous

Search size

This is the number of KB the input stream will parse to find MPEG packets. Too low a setting will result in missing streams, and too high a setting in a loss of time. Whatever the parameter you choose, it's preferable to have a high value. 1MB, in this example is already a big value.

Encoding showed frames

This is the frequency of frames shown during encoding. The actual setting (1) will show all frames. This setting is important when you want to preview output frames on NVidia cards, which have no hardware support for video format transform. For best result, choose an ATI card.

Adobe Premiere API

Type of ouput frames

Automatic setting is always the good one for compatibility with ouput plugins like Ligos LSX encoder. If you notice something wrong with the automatic setting, just report it.

Compiling time

This setting informs the plugins of the number of ouput frames for a compilation. This setting is about to be removed, as soon as a parsing system is implemented to know the exact number of frames of a compilation.

Scene detection

When the plugin supports it, this option is let ungrayed. This will ask the plugin to generate a key frame each time a scene change is detected for better ouput.


Subtitles options

Player : Subtitles options

Subtitles options

These options are related to subtitles. These options are showed only if subtitles are enabled.

Start/End

Choose here the start/stop time when subtitle appears. This unit time is the second, regarding the video Presentation Time Stamps. (This setting must be left blank in case of multiple file encoding)

Other options

Change the position of subtitles on ouput frame. Just test it. These settings is very usefull if you want to remove black areas, and view subtitles.


Video options

Encoder window

Encoder window overview

Encoder window gives you the complete details about the conversion process. In this state, XMPEG is serving video and audio frames to the Adobe Premiere compatible compiler plugin.

1. Percent of stream served.

Indicate the current frame/position in the stream. This text depends on General option compile time choosed.

Compile whole file:

If Xmpeg doesn't know the exact number of frame, it will stop serving frames at the end of the stream, or end of the current job. The stream position is shown in progress bar, and the number of the frame asked by Adobe Premiere plugin appear in text 4.

Compiling time/number of frame specified:

Xmpeg knows the number of frame to be processed, and shows the current asked frame/end frame ratio in text 4.

2. Progression bar

3. Compile stop button

This will ask the plugin to stop the conversion, and finalize the output file.

4. Number of the current frame

See 1.

5. Remaining time

Estimation of the remaining time. Between parenthesis, the hour of process completion.

6. Elapsed time

Time elapsed from the begining of the conversion. Between parenthesis, the hour of process start.

7. Current Frame Per Second (FPS)

Current number of frames per second served. This average by 100 frames to keep the maximum objectivity.

8. Video buffer state

XMPEG has a special thread which stores decoded and processed frames to compensate the time of DVD-Rom reading. With this system, XMPEG is faster on high access time drives, and uses the maximum amout of CPU. More than that, during reading process, XMPEG is able to continue to serve buffered frames.
This indicates how much of the Video buffer is full. The maximum number of buffered frames is about half a second of video.

9. Audio buffer state

Excatly the same thing as before, but for audio. It is normal that the audio buffer is full, when you are not asking for audio. In fact, XMPEG drops audio frames (or video frames...) to make the sound/video synchronized using input stream presentation time stamps (PTS).

10. Encoding process priority

This will change the decoding and encoding threads. If you want to use your system in good conditions during encoding, simply set this parameter as Idle (low priority). It will not affect speed if you are not behind your computer. It is recommended to leave this setting to Normal or set to Idle, but avoid High/Real Time priority because it affects global process efficiency.
This setting is particulary usefull for Uni-Processor based system without Hyper Threading technology.

11. Current Scene(job) / Pass

Indicates the current scene being encoded, and the number of times XMPEG have restarted due to frame jump. XMPEG support random frame asking, but it is slower. Each time the plugin ask a random frame, XMPEG will clear the buffers, realign streams, refill buffers and synchronize audio/video during the video frame ask.

12. Display ouput

This will show ouput frames from XMPEG,and not those of the plugin. It is the role of the plugin to show them if you desire to preview your video. Ask the plugin author if you want it :-)

13. Shut down after conversion process

14. Always on top

Let the encoding window always on foreground.

15. Pause conversion

If you want to request the whole system performance for another application, or put your computer in standby mode or advanced standby mode (all devices and fans off), push this button. You will have the possibility to sleep without stoping your conversion ;-)


Introduction

MP3 encoding with Lame MP3 encoder

First at all

Xmpeg use MP3 Lame encoder to export Audio streams. You can mux these MP3 files and AVIWriter ouput video file easely with VirtualDUB AVI editing tool. For more help about this topic, go here .

MP3 Lame configuration window overview

If you use Extract to MP3 from the main menu, XMPEG will show this window:

1. Quality Presets

This allow you to choose the way the Lame encodeur will drive the VBR encoding. Go to Lame encoder www site for further information about its configuration. "Normal" let you choose with the Quality slider

2. Stereo mode

The channel are encoded in two streams in Dual channel mode, recommended for high bitrate. Choose Join stereo which will take account of channels similarity for low bitrates.

3. Min/Max Bitrate (VBR only)

This allow to choose minimum and maximum bitrate for your output MP3 file. This setting is important, by example, if there is a long silence, bitrate will go down to minimum bitrate. The bitrate management depends on the quality setting (5).

4. Quality setting

Manage the quantization regarding the sound complexity. If the Quality preset is set to a different value from "Normal", this setting has no effect.

5. Encoding algorithm

VBR method is the most common. CBR is constant bitrate, ABR is Average Bitrate. You have to enter in (6) the bitrate Lame will try to keep. The other ones are derivates from original VBR method

6. ABR Bitrate

This will be the bitrate Lame encoder will try to keep in ABR encoding mode.

7. Start conversion

Pushing this button will launch the encoding process.


Introduction

How to create a DivX video file

First step

Use the wizard to configure the essential parameters. Stop on Plugin configuration page.

Adobe Premiere AVIWriter Plugin

AVIWriter is a 100% compatible Adobe Premiere Plugin from the same author. This plugin is free and provided in the XMPEG package. This plugin provides you the possiblity to encode AVI files using Video For Windows (VFW) and Audio Compression Manager (ACM) codecs (Code/Decode). See below for its configuration.
In XMPEG/DVDx/Adobe Premiere/FlasKMPEG, choose AVIWriter as default plugin (or go to export movie in Premiere, and choose AVIWriter), and use "Plugin options..." to configure it (in XMPEG, of course). The window below will appear.

Video Configuration

    1. Push the "Codec compression" button (1).
    2. Choose DivX codec on the selection window(2).
    3. Push Configure 1st Pass button (3), and follow DivX user guide to configure it. If you want to do a one pass encoding, just check that "Configured" appears in front of the button (3) and skip the next steps. Go directly to the next topic.
    4. Increase the number of passes (4)
    5. Configure the nth pass with the button (5). Check that "Configured" appear in front of the button(5).

That's it!

Audio Configuration

    1. Enable codec compression (1). Be sure to have compatible codecs installed on your system, else, the "Codec"(2) and "Format"(3) boxes will stay grayed. The list is computed regarding the Input format Information at the top of this page.
    2. Choose the output format (2). On most systems, you have MP3 or WMA codecs. In my case I've choosen Ogg Vorbis audio compressor.
    3. Choose the format (3). Here the codec enumerates all the compatible formats and bitrate with input sample rate.
    4. Check Hi Quality compression (4) (The codec enters into non real time compression. This affest quality for some rare codecs).
    5. If you are using IIS Fraunhofer codecs, check (5) because these let a gap of 1536 samples before delivering correct datas. In addtion, the bitrate reported by the codec doesn't match the real one (128Kbps can be 127.7...). This will result in desynchronized audio.

General Configuration

You can save your settings on a specific AVIWriter profile file. You just have to enter a profile name, and push "Save" button. To restore saved settings, just select a profile on the list, and push load. All your stored settings are refreshed. This functionnality is pretty unsefull when you have good output results, and you want to remember them. AVI Writer stores also the video codec settings. You do not need to reconfigure them after a loading operation.

Advanced configuration

    1. No Warnings : This option will not show any warning messages. Set the behaviour of the plugin when audio is no more available.
    2. Benchmark mode : This will ask to the current video server the number of audio and or video frames specified. This will not store any file, just ask frames... Usefull if you want to benchmark your hardware.
    3. BETA watermark : Choose a 24Bpp standart windows file (*.bmp). To have correct output result width and heigth must be divisible by 2!
      • X, Y are the position of you watermark on the output video.
      • Transparency is the alpha blending effect you desire.
      • Fade is the number of frame the watermark to meet the transparency in frames.
      • Hide after... Hides after n frames(Please... Don't pollute your video... ;-)
      • The transparent color is Red : 255, Green : 0, Blue : 255.
  • Simply push the OK button to close this window, and starts conversion!


Video tools

XMPEG internal overview

Frame processing overview

Threading sheme


Introduction

Frequently asked questions (FAQ)

Why the idea of XMPEG?

XMPEG is based on a FlasKMPEG customization, originally for my friends who was using XMPEG to convert their MPEG2 captured video into DivX 3.11 files. Now, XMPEG tends to be faster, without affecting quality. All technology available are used to speed up the conversion process, and improving final quality of your favorite video. The software processing architecture meets the lastest technology requirements. Graphical interface effort has been done to make this software more accessible to beginners with a wizard.

Why to prefer XMPEG?

XMPEG is far away the faster encoder. It is used for benchmarks and use the lastest technology to improve speed on the lastest processors. The quality of your video is garanteed by the use of the lastest technology, even if it makes the conversion slower.
XMPEG is also opened for newbies and advanced user. A wizard allows to configure XMPEG in a very few steps for your conversion and advanced options may be changed to improve the final quality of your films.
XMPEG is a free and full integrated software. It is not a simple graphical interface which use external tool. This implies that the full software is continued. Tools like GardianKnot use only external tools to makes your videos and are dependant from them.

Who is the coder?

Eric CHAUVET, 22, Paris, France. Student Engineer skilled with C/C++/Perl/Pascal/Java/ Win32/MFC/ATL/DCOM/Winsocks/Video and audio decoding, processing, encoding/Software architecture optimization/Adobe products API programming/Radio broadcast/Audio amplifiers (I'm audio quality adict)...
I'm currently finishing my studies with an internship in Germany (Munich).

Contact : developpeur@mp3guest.com

Can I use XMPEG in my company?

Of course, this is a free software. Tell your administrator that you are using it on your business computer.

What are the warranty about the use of XMPEG?

None. Like every citizen, you must know the laws applicable in your country. The author is not responsible of an illegal use of this software.

What is the future of XMPEG?

This software will integrate very soon the ability to open any DirectShow compatible files (e. g. Media player file). In addition, it will offer the possiblity to encode in real time your video from your DV camcorder, or capture port (Webcam, Video In...). As long as XMPEG will be usefull, it will be supported.

How can I contribute?

You can simply make a donation in XMPEG home page . This will help to pay our monthly hosting, and provide you with advanced help, directly from the author.
By posting messages on the forums http://forum.mp3guest.com, you can share your knowledge of this software with the XMPEG community.

Why Windows98/SE/Me are no longer supported?

Windows98 based systems are now five years old, and doesn't support extended Win32 API calls. Microsoft documentation specify the compatibility with Win98, but it seems to crash. I'm not supporting Windows98, but rather XMPEG software. In addition, Windows98 scheduler is designed for single threaded applications and doesn't support symmetric multiprocessing (SMP) or Hyper-Threading technology. XMPEG runs regulary with 5 threads : Windows98 is slower than ever with this configuration.

I have a noisy video from my TV capture card. Is there a solution to attenuate it?

Of course, deinterlacing method by motion detection will average the pixels and attenuate noise. Deinterlacing is slower, but gives good results in this case. More details here.

Is XMPEG able to drive all Adobe Premiere compilers?

Not really. Premiere uses specific calling methods for its own compiler (AVI, DV...) and no hack will be done in this way. On the other hand, you can use all other commercial Adobe Premiere external products like Cinemacraft encoder, Ligos LSX Encoder, Panasonic Encoder, MainConcept encoder (with a valid registration number from Premiere!).
If you have issues with your compiler, and have a registered version, go here. Illegal or unlicencied compilers are not supported.

I've stored my DVD content on my hard disk, but XMPEG is unable to open it.

You have probably stored your DVD content with explorer. Most of DVD content is encrypted, and XMPEG needs to "discuss" with your drive to unlock the drive and negociate the titles keys. If you have stored the DVD content with explorer, the streams are encrypted and the keys cannot be found properly. To do a DVD backup, you must be sure to be the owner and to use a DVD ripping tool like SmartRipper or vStrip which remove the protections before copying.

I've a DVD in my drive but XMPEG doesn't want to open it.

You have probably to change the DVD Drive zone. This will be fixed in a future release. To change it, go to DVD drive property and change it. You can change it 5 time only. It is the UDF parser of Windows which limit the number of time you can change it. Future version of the DVD mism will integrate its own UDF parser.

I have a Kiss Technology DivX player at home, but there is time errors or the reader cannot play the file.

Disable the extended AVI in AVIWriter. This AVI extention (multi language) is not supported by these readers.

What is Hyper Threading technology, and how XMPEG use it?

The Intel Hyper Threading technology is a way to have two physical units of calculation in one processor. Windows see two processors, and is able to dispatch two differents task to the processor as if it was two. Internally, the processor can execute two tasks simultaneously. In XMPEG, the Video decoding, Audio decoding and compression are in 3 separate threads. In this way, the scheduler can balance each of these tasks on the two processor logical units. It explains the 20% speed up on Hyper Threading systems.

This has to be completed with your new questions...


Requirements

Support

Here to find quick help:

  • Forums : http://forum.mp3guest.com
    You have to subscribe first for free for security reasons. Please read MP3Guest chart before posting a message in the forum. Remember that you have to be objective, serious and efficient to keep the visibility of the topics. Any aggressive, irrespectable message will be deleted, and your account destroyed. Please, take care, whatever your problem.
  • XMPEG official page : http://www.xmpeg.net
    This page contains all information about XMPEG changes, and lastest builds. It allows you to make a donation via Secured PayPal system.

Advanced help:

If you are have done a donation :

Your E-Mail has been registered as XMPEG community contributor. You have helped us, and you will recieve special support from the coder. Use the special adress provided in the feedback mail we will send you after your donation. The delay of answer is 12 hours, during business week. All instructions about mail formating have been sent to you in the feedback mail.
Thank you a lot for your contribution!

In all other cases :

Prefer the forums. In case of identified issue, send me an E-Mail developpeur@mp3guest.com. Prefered language : French or english. Use lower case and try to do your best possible to format your mail for maximum visibility. Use HTML formatting, Bold titles to make it the most friendly as possible.

Please specify :

    1. Your name.
    2. A summary of the bug.
    3. Your system configuration :
      • Version of XMPEG you're using. (ex : XMPEG 5.0 RC2)
      • Processor/Frequency (ex : P4 2.8GHz Hyper Threading)
      • Amount of memory (ex : DDR Ram 400MHz)
      • Input media (ex: DVD-Rom 16x, Hard Drive 7200rpm 40Go, Pinnacle Vision TV card)
      • OS (ex : Windows 2000 SP3)
      • Graphic card (ex : ATI Radeon 7200)
      • If you use external tools and their version, notify it (ex : SmartRipper, vStrip)
    4. A complete description of the bug, and your opinion about it, for advanced users.
    5. adress of answer, if different from sending one.
    6. Optionnaly, your opinion about XMPEG, comments or suggestions.
    7. Additionnal screenshots in .jpg or .png format, if it may help me. (No Windows crash messages please, it is totally unusable)


Requirements

XMPEG goodies

Desktop backgrounds :

You can find backgrounds here.

Benefits of MP3Guest :

MP3Guest host a MP3 encoder based on lastest LAME Encoder. This is a very friendly wizard. You will find it here. Follow MP3Guest Encoder Wizard.

What's MP3Guest :

MP3Guest is the first french web site for musicians and groups promotion. This is indented only for non-professional groups which wants to be known.

MP3Guest.com
Le portail des groupes amateurs et semi-professionels

MP3Guest ouvre bien sûr ses portes aux groupes amateurs et semi professionels de Belgique, Suisse, Luxembourg, tant que vous êtes francophone. MP3Guest se veut le promoteur de la musique francophone, pas seulement française! Si vous voulez plus d'infos : Contactez Pascal webmaster@mp3guest.com , il se fera un plaisir de vous guider dans vos démarches d'inscriptions gratuites.